Subject: [bug#45298] [PATCH] gnu: openblas: Update to 0.3.13.

From: Greg Hogan <[email-masked]>
Date: Wed, 23 Dec 2020 15:57:21 -0500

I don't know what happened there. Attached and copied below is the correct
patch off core-updates, and I have made separate local copies of the repo
for testing master, staging, and core-updates.

>From 76b856f408728863bea40ff274f65c1820e0579f Mon Sep 17 00:00:00 2001
From: Greg Hogan <[email-masked]>
Date: Wed, 23 Dec 2020 20:50:55 +0000
Subject: [PATCH] gnu: openblas: Update to 0.3.13.

* gnu/packages/maths.scm (openblas): Update to 0.3.13.
---
 gnu/packages/maths.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index b1680db063..3120bfcbac 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -3628,7 +3628,7 @@ parts of it.")
 (define-public openblas
   (package
     (name "openblas")
-    (version "0.3.10")
+    (version "0.3.13")
     (source
      (origin
        (method git-fetch)
@@ -3638,7 +3638,7 @@ parts of it.")
        (file-name (git-file-name name version))
        (sha256
         (base32
-         "174id98ga82bhz2v7sy9yj6pqy0h0088p3mkdikip69p9rh3d17b"))))
+         "14jxh0v3jfbw4mfjx4mcz4dd51lyq7pqvh9k8dg94539ypzjr2lj"))))
     (build-system gnu-build-system)
     (arguments
      `(#:test-target "test"
-- 
2.29.2

On Tue, Dec 22, 2020 at 9:21 AM Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Greg Hogan <[email-masked]> skribis:
>
> > For the core-updates branch.
>
> [...]
>
> > +    (version "0.3.13")
> >      (source
> >       (origin
> >         (method url-fetch)
> > @@ -3637,7 +3637,7 @@ parts of it.")
> >         (file-name (string-append name "-" version ".tar.gz"))
> >         (sha256
> >          (base32
> > -         "14iz9xnrb9xiwgj84j94mc74gg0zn2vsy9fmsijxxma1n7dck4w3"))))
> > +         "09rx33yaa48lwsdd1yyvzfgfpzjmjzldkzgn751qbpqdp42ba8wj"))))
>
> I get:
>
> --8<---------------cut here---------------start------------->8---
> sha256 hash mismatch for
> /gnu/store/01vmivah7fwf5q16zpbybnbq2mqrz9w2-openblas-0.3.13-checkout:
>   expected hash: 09rx33yaa48lwsdd1yyvzfgfpzjmjzldkzgn751qbpqdp42ba8wj
>   actual hash:   14jxh0v3jfbw4mfjx4mcz4dd51lyq7pqvh9k8dg94539ypzjr2lj
> hash mismatch for store item
> '/gnu/store/01vmivah7fwf5q16zpbybnbq2mqrz9w2-openblas-0.3.13-checkout'
> --8<---------------cut here---------------end--------------->8---
>
> Could you take a look and see if this is because the Git tag was changed
> in place?
>
> Also, ‘core-updates’ is now at 0.3.10 so the patch didn’t apply out of
> the box.
>
> Thanks,
> Ludo’.
>